Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

onehellofabeating.com Message Board

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
LeeThrions Posted on 29/08/2010 15:43
Door not closed on Beckham

Report Message | Email Message To A Friend | Reply To Message
 
Fabio Capello has suggested that no player is finished for England, even David Beckham, and that he could well play for the Three Lions again, and not just in a farewell match. Like any other player, he will have to earn his place and prove himself, and I feel he might well do that. He's still good enough for a squad role and is the sort of inspiration our new generation need in the dressing room alongside them.
IP: Logged
rob_onehellofabeating Posted on 25/10/2010 19:42
Door not closed on Beckham

Report Message | Email Message To A Friend | Reply To Message 

 
Becks scored for the LA Galaxy the other day, putting them into the MLS play-offs. He's still got it.
IP: Logged
stanleyparkbfc Posted on 13/11/2010 14:14
Door not closed on Beckham

Report Message | Email Message To A Friend | Reply To Message 

 
Look at englands performance's since beckham got injured and not played they have been appalling . England play better with him in the team than without . I know which I would rather have
IP: Logged
rob_onehellofabeating Posted on 14/11/2010 13:39
Door not closed on Beckham

Report Message | Email Message To A Friend | Reply To Message 

 
With all these kids in the squad now, someone like Beckham is needed more than ever. Well, not quite, but he's still very important.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2019 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213